\name{readBazifile}

\alias{readBazifile}
\alias{read.bazi}

\title{Adapter module for reading of .bazi-files}

\description{Reading of .bazi-files}

\usage{readBazifile(file, sorting = "alpha")
read.bazi(file, sorting = c("alpha", "none", "votes"))}

\arguments{
	\item{file}{filename of the .bazi-file}
	\item{sorting}{character string indicating which method for sorting the
	parties to use. One of \kbd{"alpha"} (default), \kbd{"votes"}, or \kbd{"none"}.}
}

\details{
Note: pathnames will be interpreted relative to the path that is given when
loading the package. The object returned by \code{read.bazi} might be put in
\code{computeApportionment}.
}

\value{
Depending on the specific data a list with components
	\item{appMethod}{Apportionment methods to use}
	\item{housesize/districtMagnitudes}{Housesize for vector problems, district / row sizes
		for matrix problems}
	\item{votes}{Vote matrix/vector}
	\item{nzz}{Indicator wether to use nzz or not (alternative simple biprop) for matrix apportionments}
	\item{minConstr}{Matrix/vector of minimum requirements, if there are minimum requirements}
	\item{minConstrSuper}{Vector of minimum requirements for the superapportionment of matrix apportionments, if there are one}
	\item{maxConstr}{Matrix/vector of maximum restrictions, if there are maximum requirements}
	\item{directSeats}{Matrix/vector of direct seats for mixed member systems}
	\item{listCombinations}{Matrix/vector indicating belonging to a list combination, \code{0} indicates not member of a list combination}
}

\seealso{\code{\link{computeApportionment}}}

\references{
	\url{http://www.uni-augsburg.de/bazi}
	
	Maier, S. and Pukelsheim, F. (2007) \emph{BAZI - A Free Program for Proportional
	Representation Apportionment}, Preprint No. 42, Institute for Mathematics, University
	of Augsburg.
}	

\keyword{math}
